Bug 679133 - Review Request: starcal - A desktop calendar with Gregorian, Jalali and Hijri support
Summary: Review Request: starcal - A desktop calendar with Gregorian, Jalali and Hijri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Narasimhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-21 17:26 UTC by Hedayat Vatankhah
Modified: 2011-05-10 03:34 UTC (History)
4 users (show)

Fixed In Version: starcal-1.5.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 20:55:37 UTC
Type: ---
lakshminaras2002: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Hedayat Vatankhah 2011-02-21 17:26:31 UTC
Spec URL: http://hedayat.fedorapeople.org/reviews/starcal/starcal.spec
SRPM URL: http://hedayat.fedorapeople.org/reviews/starcal/starcal-1.5.3-1.fc14.src.rpm
Description: 
A perfect calendar with Gregorian, Jalali and Hijri support for GNU/Linux.
It is written in PyGTK and can reside in system tray like an applet.

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2854720

Comment 1 Sergio Belkin 2011-02-23 21:15:15 UTC
Hi Hedayat,

I am bothering again :) seriously I hope you find this informal review useful:

 rpmlint -i -v starcal.spec starcal-1.5.3-1.fc16.noarch.rpm
starcal.spec: I: checking-url http://downloads.sourceforge.net/starcal/starcal-1.5.3-src.tar.gz (timeout 10 seconds)
starcal.noarch: I: checking
starcal.noarch: I: checking-url http://sourceforge.net/projects/starcal/ (timeout 10 seconds)
starcal.noarch: W: no-manual-page-for-binary starcal
Each executable in standard binary directories should have a man page.

1 packages and 1 specfiles checked; 0 errors, 1 warnings.

Being a gui applet, that is not a problem, is it? :)

rpmlint -i -v starcal-1.5.3-1.fc16.src.rpm
starcal.src: I: checking
starcal.src: I: checking-url http://sourceforge.net/projects/starcal/ (timeout 10 seconds)
starcal.src: I: checking-url http://downloads.sourceforge.net/starcal/starcal-1.5.3-src.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

File List:

-rwxr-xr-x    1 root    root                       77 feb 23 17:54 /usr/bin/starcal
-rw-r--r--    1 root    root                      229 feb 23 17:54 /usr/share/applications/starcal.desktop
drwxr-xr-x    2 root    root                        0 feb 23 17:54 /usr/share/doc/starcal-1.5.3
-rw-r--r--    1 root    root                     3441 mar 28  2009 /usr/share/doc/starcal-1.5.3/ChangeLog
-rw-r--r--    1 root    root                      774 mar 14  2010 /usr/share/doc/starcal-1.5.3/license
lrwxrwxrwx    1 root    root                       38 feb 23 17:54 /usr/share/pixmaps/starcal.png -> /usr/share/starcal/pixmaps/starcal.png
drwxr-xr-x    2 root    root                        0 feb 23 17:54 /usr/share/starcal
drwxr-xr-x    2 root    root                        0 feb 23 17:54 /usr/share/starcal/pixmaps
-rw-r--r--    1 root    root                       61 mar 14  2010 /usr/share/starcal/pixmaps/README
-rw-r--r--    1 root    root                     1234 mar 14  2010 /usr/share/starcal/pixmaps/alarm-clock-2.png
-rw-r--r--    1 root    root                     1246 mar 14  2010 /usr/share/starcal/pixmaps/alarm-clock.png
-rw-r--r--    1 root    root                     1523 mar 14  2010 /usr/share/starcal/pixmaps/applications-graphics.png
-rw-r--r--    1 root    root                     1403 mar 14  2010 /usr/share/starcal/pixmaps/applications-system.png
-rw-r--r--    1 root    root                      316 mar 14  2010 /usr/share/starcal/pixmaps/ar.png
-rw-r--r--    1 root    root                     1091 mar 14  2010 /usr/share/starcal/pixmaps/balloons-2.png
-rw-r--r--    1 root    root                     1150 mar 14  2010 /usr/share/starcal/pixmaps/balloons.png
-rw-r--r--    1 root    root                     1038 mar 14  2010 /usr/share/starcal/pixmaps/computer.png
-rw-r--r--    1 root    root                     1154 mar 14  2010 /usr/share/starcal/pixmaps/evolution-18.png
-rw-r--r--    1 root    root                     1140 mar 14  2010 /usr/share/starcal/pixmaps/firefox-18.png
-rw-r--r--    1 root    root                     1134 mar 14  2010 /usr/share/starcal/pixmaps/flag-iq.png
-rw-r--r--    1 root    root                     1313 mar 14  2010 /usr/share/starcal/pixmaps/flag-ir.png
-rw-r--r--    1 root    root                     1036 mar 14  2010 /usr/share/starcal/pixmaps/flag-lb.png
-rw-r--r--    1 root    root                     1241 mar 14  2010 /usr/share/starcal/pixmaps/flag-us.png
-rw-r--r--    1 root    root                      982 mar 14  2010 /usr/share/starcal/pixmaps/gnome-web-browser-16.png
-rw-r--r--    1 root    root                      947 mar 14  2010 /usr/share/starcal/pixmaps/konqueror-16.png
-rw-r--r--    1 root    root                      829 mar 14  2010 /usr/share/starcal/pixmaps/marriage-2.png
-rw-r--r--    1 root    root                      900 mar 14  2010 /usr/share/starcal/pixmaps/marriage.png
-rw-r--r--    1 root    root                      804 mar 14  2010 /usr/share/starcal/pixmaps/note-2.png
-rw-r--r--    1 root    root                      806 mar 14  2010 /usr/share/starcal/pixmaps/note.png
-rw-r--r--    1 root    root                      752 mar 14  2010 /usr/share/starcal/pixmaps/preferences-desktop-theme.png
-rw-r--r--    1 root    root                     1390 mar 14  2010 /usr/share/starcal/pixmaps/preferences-other.png
-rw-r--r--    1 root    root                     1133 mar 14  2010 /usr/share/starcal/pixmaps/preferences-plugin.png
-rw-r--r--    1 root    root                      679 mar 14  2010 /usr/share/starcal/pixmaps/resize.png
-rw-r--r--    1 root    root                      901 mar 14  2010 /usr/share/starcal/pixmaps/shabdar-2.png
-rw-r--r--    1 root    root                      909 mar 14  2010 /usr/share/starcal/pixmaps/shabdar.png
-rw-r--r--    1 root    root                     3387 mar 14  2010 /usr/share/starcal/pixmaps/starcal.png
-rw-r--r--    1 root    root                     1007 mar 14  2010 /usr/share/starcal/pixmaps/sunbird-18.png
-rw-r--r--    1 root    root                      646 mar 14  2010 /usr/share/starcal/pixmaps/task-2.png
-rw-r--r--    1 root    root                      673 mar 14  2010 /usr/share/starcal/pixmaps/task-3.png
-rw-r--r--    1 root    root                      639 mar 14  2010 /usr/share/starcal/pixmaps/task.png
-rw-r--r--    1 root    root                      543 mar 14  2010 /usr/share/starcal/pixmaps/tray-blue.png
-rw-r--r--    1 root    root                      531 mar 14  2010 /usr/share/starcal/pixmaps/tray-green.png
-rw-r--r--    1 root    root                      531 mar 14  2010 /usr/share/starcal/pixmaps/tray-red.png
drwxr-xr-x    2 root    root                        0 feb 23 17:54 /usr/share/starcal/pixmaps/wm
-rw-r--r--    1 root    root                     1228 mar 14  2010 /usr/share/starcal/pixmaps/wm/button-close-focus.png
-rw-r--r--    1 root    root                     1210 mar 14  2010 /usr/share/starcal/pixmaps/wm/button-close.png
-rw-r--r--    1 root    root                      806 mar 14  2010 /usr/share/starcal/pixmaps/wm/button-inactive.png
-rw-r--r--    1 root    root                     1249 mar 14  2010 /usr/share/starcal/pixmaps/wm/button-max-focus.png
-rw-r--r--    1 root    root                     1220 mar 14  2010 /usr/share/starcal/pixmaps/wm/button-max.png
-rw-r--r--    1 root    root                     1043 mar 14  2010 /usr/share/starcal/pixmaps/wm/button-min-focus.png
-rw-r--r--    1 root    root                     1203 mar 14  2010 /usr/share/starcal/pixmaps/wm/button-min.png
drwxr-xr-x    2 root    root                        0 feb 23 17:54 /usr/share/starcal/plugins
-rw-r--r--    1 root    root                      191 mar 14  2010 /usr/share/starcal/plugins/README
-rwxr-xr-x    1 root    root                       19 feb 23 17:54 /usr/share/starcal/plugins/__init__.py
-rw-r--r--    2 root    root                      125 feb 23 17:54 /usr/share/starcal/plugins/__init__.pyc
-rw-r--r--    2 root    root                      125 feb 23 17:54 /usr/share/starcal/plugins/__init__.pyo
-rw-r--r--    1 root    root                     2247 mar 14  2010 /usr/share/starcal/plugins/extra-gregorian-2.db
-rw-r--r--    1 root    root                      817 mar 14  2010 /usr/share/starcal/plugins/extra-gregorian-2.spg
-rw-r--r--    1 root    root                     1218 mar 14  2010 /usr/share/starcal/plugins/extra-gregorian.db
-rw-r--r--    1 root    root                      627 mar 14  2010 /usr/share/starcal/plugins/extra-gregorian.spg
-rw-r--r--    1 root    root                     1706 mar 14  2010 /usr/share/starcal/plugins/extra-hijri-2.db
-rw-r--r--    1 root    root                      496 mar 14  2010 /usr/share/starcal/plugins/extra-hijri-2.spg
-rw-r--r--    1 root    root                     5453 mar 14  2010 /usr/share/starcal/plugins/extra-hijri.db
-rw-r--r--    1 root    root                      626 mar 14  2010 /usr/share/starcal/plugins/extra-hijri.spg
-rw-r--r--    1 root    root                     4164 mar 14  2010 /usr/share/starcal/plugins/extra-iran-bastani.db
-rw-r--r--    1 root    root                      464 mar 14  2010 /usr/share/starcal/plugins/extra-iran-bastani.spg
-rw-r--r--    1 root    root                     1652 mar 14  2010 /usr/share/starcal/plugins/extra-jalali-2.db
-rw-r--r--    1 root    root                      831 mar 14  2010 /usr/share/starcal/plugins/extra-jalali-2.spg
-rw-r--r--    1 root    root                    15474 mar 14  2010 /usr/share/starcal/plugins/extra-jalali.db
-rw-r--r--    1 root    root                      636 mar 14  2010 /usr/share/starcal/plugins/extra-jalali.spg
-rw-r--r--    1 root    root                      450 mar 14  2010 /usr/share/starcal/plugins/extra-owghat-tehran88.spg
-rw-r--r--    1 root    root                    13541 mar 14  2010 /usr/share/starcal/plugins/extra-owghat-tehran88.titled
-rw-r--r--    1 root    root                      915 mar 14  2010 /usr/share/starcal/plugins/iran-holidays.hol
drwxr-xr-x    2 root    root                        0 feb 23 17:54 /usr/share/starcal/src
-rwxr-xr-x    1 root    root                     7903 mar 14  2010 /usr/share/starcal/src/adjust_dtime.py
-rw-r--r--    2 root    root                     7148 feb 23 17:54 /usr/share/starcal/src/adjust_dtime.pyc
-rw-r--r--    2 root    root                     7148 feb 23 17:54 /usr/share/starcal/src/adjust_dtime.pyo
-rwxr-xr-x    1 root    root                    16857 ene 31  2010 /usr/share/starcal/src/cal-c-style.py
-rw-r--r--    2 root    root                    16837 feb 23 17:54 /usr/share/starcal/src/cal-c-style.pyc
-rw-r--r--    2 root    root                    16837 feb 23 17:54 /usr/share/starcal/src/cal-c-style.pyo
-rwxr-xr-x    1 root    root                     3016 feb 23 17:54 /usr/share/starcal/src/cal-test.py
-rw-r--r--    2 root    root                     2842 feb 23 17:54 /usr/share/starcal/src/cal-test.pyc
-rw-r--r--    2 root    root                     2842 feb 23 17:54 /usr/share/starcal/src/cal-test.pyo
-rwxr-xr-x    1 root    root                     3220 mar 14  2010 /usr/share/starcal/src/cal.py
-rw-r--r--    2 root    root                     3382 feb 23 17:54 /usr/share/starcal/src/cal.pyc
-rw-r--r--    2 root    root                     3382 feb 23 17:54 /usr/share/starcal/src/cal.pyo
-rwxr-xr-x    1 root    root                     1820 feb 23 17:54 /usr/share/starcal/src/cal2.py
-rw-r--r--    2 root    root                     1025 feb 23 17:54 /usr/share/starcal/src/cal2.pyc
-rw-r--r--    2 root    root                     1025 feb 23 17:54 /usr/share/starcal/src/cal2.pyo
drwxr-xr-x    2 root    root                        0 feb 23 17:54 /usr/share/starcal/src/cal_modules
-rwxr-xr-x    1 root    root                     2534 mar 14  2010 /usr/share/starcal/src/cal_modules/gregorian.py
-rw-r--r--    1 root    root                     2889 feb 23 17:54 /usr/share/starcal/src/cal_modules/gregorian.pyc
-rw-r--r--    1 root    root                     2835 feb 23 17:54 /usr/share/starcal/src/cal_modules/gregorian.pyo
-rwxr-xr-x    1 root    root                     3192 feb 23 17:54 /usr/share/starcal/src/cal_modules/hebrew.py
-rw-r--r--    1 root    root                     4809 feb 23 17:54 /usr/share/starcal/src/cal_modules/hebrew.pyc
-rw-r--r--    1 root    root                     4755 feb 23 17:54 /usr/share/starcal/src/cal_modules/hebrew.pyo
-rw-r--r--    1 root    root                      277 mar 14  2010 /usr/share/starcal/src/cal_modules/hijri.db
-rwxr-xr-x    1 root    root                     5458 mar 14  2010 /usr/share/starcal/src/cal_modules/hijri.py
-rw-r--r--    1 root    root                     5792 feb 23 17:54 /usr/share/starcal/src/cal_modules/hijri.pyc
-rw-r--r--    1 root    root                     5738 feb 23 17:54 /usr/share/starcal/src/cal_modules/hijri.pyo
-rwxr-xr-x    1 root    root                      842 feb 23 17:54 /usr/share/starcal/src/cal_modules/iso.py
-rw-r--r--    2 root    root                     1196 feb 23 17:54 /usr/share/starcal/src/cal_modules/iso.pyc
-rw-r--r--    2 root    root                     1196 feb 23 17:54 /usr/share/starcal/src/cal_modules/iso.pyo
-rwxr-xr-x    1 root    root                     5635 mar 14  2010 /usr/share/starcal/src/cal_modules/jalali.py
-rw-r--r--    1 root    root                     4713 feb 23 17:54 /usr/share/starcal/src/cal_modules/jalali.pyc
-rw-r--r--    1 root    root                     4659 feb 23 17:54 /usr/share/starcal/src/cal_modules/jalali.pyo
-rwxr-xr-x    1 root    root                      482 feb 23 17:54 /usr/share/starcal/src/cal_modules/julian-test.py
-rw-r--r--    2 root    root                      586 feb 23 17:54 /usr/share/starcal/src/cal_modules/julian-test.pyc
-rw-r--r--    2 root    root                      586 feb 23 17:54 /usr/share/starcal/src/cal_modules/julian-test.pyo
-rwxr-xr-x    1 root    root                     1280 feb 23 17:54 /usr/share/starcal/src/cal_modules/julian.py
-rw-r--r--    1 root    root                     2650 feb 23 17:54 /usr/share/starcal/src/cal_modules/julian.pyc
-rw-r--r--    1 root    root                     2596 feb 23 17:54 /usr/share/starcal/src/cal_modules/julian.pyo
-rwxr-xr-x    1 root    root                    61482 feb 23 17:54 /usr/share/starcal/src/common.py
-rw-r--r--    1 root    root                    53218 feb 23 17:54 /usr/share/starcal/src/common.pyc
-rw-r--r--    1 root    root                    53069 feb 23 17:54 /usr/share/starcal/src/common.pyo
-rwxr-xr-x    1 root    root                    13951 feb 23 17:54 /usr/share/starcal/src/customday.py
-rw-r--r--    2 root    root                    13286 feb 23 17:54 /usr/share/starcal/src/customday.pyc
-rw-r--r--    2 root    root                    13286 feb 23 17:54 /usr/share/starcal/src/customday.pyo
-rwxr-xr-x    1 root    root                     8478 feb 23 17:54 /usr/share/starcal/src/debug.py
-rw-r--r--    1 root    root                    10115 feb 23 17:54 /usr/share/starcal/src/debug.pyc
-rw-r--r--    1 root    root                    10057 feb 23 17:54 /usr/share/starcal/src/debug.pyo
-rwxr-xr-x    1 root    root                    20265 feb 23 17:54 /usr/share/starcal/src/debug_saving.py
-rw-r--r--    1 root    root                    24790 feb 23 17:54 /usr/share/starcal/src/debug_saving.pyc
-rw-r--r--    1 root    root                    24728 feb 23 17:54 /usr/share/starcal/src/debug_saving.pyo
-rwxr-xr-x    1 root    root                     3799 feb 23 17:54 /usr/share/starcal/src/desktop.py
-rw-r--r--    2 root    root                     2980 feb 23 17:54 /usr/share/starcal/src/desktop.pyc
-rw-r--r--    2 root    root                     2980 feb 23 17:54 /usr/share/starcal/src/desktop.pyo
-rwxr-xr-x    1 root    root                      301 mar 14  2010 /usr/share/starcal/src/get_version.py
-rw-r--r--    2 root    root                      417 feb 23 17:54 /usr/share/starcal/src/get_version.pyc
-rw-r--r--    2 root    root                      417 feb 23 17:54 /usr/share/starcal/src/get_version.pyo
-rw-r--r--    1 root    root                      236 ene 22  2010 /usr/share/starcal/src/hijri.db
-rwxr-xr-x    1 root    root                      829 feb 24  2010 /usr/share/starcal/src/lang
-rw-r--r--    1 root    root                      774 mar 14  2010 /usr/share/starcal/src/license
-rwxr-xr-x    1 root    root                    84279 feb 23 17:54 /usr/share/starcal/src/maindialog.py
-rw-r--r--    1 root    root                    59259 feb 23 17:54 /usr/share/starcal/src/maindialog.pyc
-rw-r--r--    1 root    root                    59222 feb 23 17:54 /usr/share/starcal/src/maindialog.pyo
-rwxr-xr-x    1 root    root                     6636 mar 14  2010 /usr/share/starcal/src/mywidgets-examples.py
-rw-r--r--    2 root    root                     9603 feb 23 17:54 /usr/share/starcal/src/mywidgets-examples.pyc
-rw-r--r--    2 root    root                     9603 feb 23 17:54 /usr/share/starcal/src/mywidgets-examples.pyo
-rwxr-xr-x    1 root    root                    21920 mar 14  2010 /usr/share/starcal/src/mywidgets.py
-rw-r--r--    2 root    root                    23848 feb 23 17:54 /usr/share/starcal/src/mywidgets.pyc
-rw-r--r--    2 root    root                    23848 feb 23 17:54 /usr/share/starcal/src/mywidgets.pyo
-rwxr-xr-x    1 root    root                    19500 mar 14  2010 /usr/share/starcal/src/mywidgets2.py
-rw-r--r--    2 root    root                    19424 feb 23 17:54 /usr/share/starcal/src/mywidgets2.pyc
-rw-r--r--    2 root    root                    19424 feb 23 17:54 /usr/share/starcal/src/mywidgets2.pyo
-rwxr-xr-x    1 root    root                     1534 feb 23 17:54 /usr/share/starcal/src/paths.py
-rw-r--r--    2 root    root                      762 feb 23 17:54 /usr/share/starcal/src/paths.pyc
-rw-r--r--    2 root    root                      762 feb 23 17:54 /usr/share/starcal/src/paths.pyo
-rwxr-xr-x    1 root    root                    12493 feb 24  2010 /usr/share/starcal/src/player.py
-rw-r--r--    2 root    root                    11787 feb 23 17:54 /usr/share/starcal/src/player.pyc
-rw-r--r--    2 root    root                    11787 feb 23 17:54 /usr/share/starcal/src/player.pyo
-rwxr-xr-x    1 root    root                     1419 feb 24  2010 /usr/share/starcal/src/qembed.py
-rw-r--r--    2 root    root                     1011 feb 23 17:54 /usr/share/starcal/src/qembed.pyc
-rw-r--r--    2 root    root                     1011 feb 23 17:54 /usr/share/starcal/src/qembed.pyo
-rwxr-xr-x    1 root    root                     1603 feb 24  2010 /usr/share/starcal/src/simple-browser.py
-rw-r--r--    2 root    root                     2468 feb 23 17:54 /usr/share/starcal/src/simple-browser.pyc
-rw-r--r--    2 root    root                     2468 feb 23 17:54 /usr/share/starcal/src/simple-browser.pyo
-rwxr-xr-x    1 root    root                     9279 mar 14  2010 /usr/share/starcal/src/starcal-gnome2-applet.py
-rw-r--r--    2 root    root                     9314 feb 23 17:54 /usr/share/starcal/src/starcal-gnome2-applet.pyc
-rw-r--r--    2 root    root                     9314 feb 23 17:54 /usr/share/starcal/src/starcal-gnome2-applet.pyo
-rwxr-xr-x    1 root    root                    99947 mar 14  2010 /usr/share/starcal/src/starcal.py
-rw-r--r--    2 root    root                    76520 feb 23 17:54 /usr/share/starcal/src/starcal.pyc
-rw-r--r--    2 root    root                    76520 feb 23 17:54 /usr/share/starcal/src/starcal.pyo


Ownership and permission are OK.

Documentation files:

rpm -qlvdp starcal-1.5.3-1.fc16.noarch.rpm 
-rw-r--r--    1 root    root                     3441 mar 28  2009 /usr/share/doc/starcal-1.5.3/ChangeLog
-rw-r--r--    1 root    root                      774 mar 14  2010 /usr/share/doc/starcal-1.5.3/license

Ok!

Package doesn't crashes and it seems that works as expected.

Hope that helps

Comment 2 Hedayat Vatankhah 2011-02-23 21:34:43 UTC
:) Thank you for your review! Yes I think it doesn't need a man page.

Comment 3 Narasimhan 2011-05-01 18:13:55 UTC
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint -i starcal-1.5.3-1.fc14.src.rpm starcal-1.5.3-1.fc14.noarch.rpm starcal.spec  
starcal.noarch: W: no-manual-page-for-binary starcal
Each executable in standard binary directories should have a man page.

2 packages and 1 specfiles checked; 0 errors, 1 warnings.
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK, only png files are shipped in the rpm.
        Spec legibity - OK
        Package template - OK
        Arch support - OK, noarch package
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Licensed as GPLv3
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
There is a license file that states the name of the license and points to the url that contains the license text of GPL.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum starcal-1.5.3-1.fc14.src/starcal-1.5.3-src.tar.gz 
f082eaadb5b2df75cd388209ba560b71  starcal-1.5.3-1.fc14.src/starcal-1.5.3-src.tar.gz

md5sum starcal-1.5.3-src.tar.gz 
f082eaadb5b2df75cd388209ba560b71  starcal-1.5.3-src.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.

Contains python code and image files.

[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed and ran the application. Runs fine
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

APPROVED.

Comment 4 Hedayat Vatankhah 2011-05-01 18:40:16 UTC
Thanks a lot for your through review. :)

Comment 5 Hedayat Vatankhah 2011-05-01 18:42:14 UTC
New Package SCM Request
=======================
Package Name: starcal
Short Description: A calendar supporting different calendar systems
Owners: hedayat
Branches: f14 f15
InitialCC:

Comment 6 Narasimhan 2011-05-03 01:43:30 UTC
Hedayat,

Would the package require any extra fonts that might be needed to render the application properly? If so, then  it needs to be added in the requires list.

Comment 7 Hedayat Vatankhah 2011-05-03 07:10:40 UTC
Nope, it doesn't need any extra fonts. Standard Fedora fonts suffice (DejaVu Sans).

Comment 8 Jason Tibbitts 2011-05-05 18:19:04 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-05-05 20:42:28 UTC
starcal-1.5.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/starcal-1.5.3-1.fc14

Comment 10 Fedora Update System 2011-05-05 20:42:30 UTC
starcal-1.5.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/starcal-1.5.3-1.fc15

Comment 11 Fedora Update System 2011-05-05 21:51:43 UTC
starcal-1.5.3-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Fedora Update System 2011-05-09 20:55:31 UTC
starcal-1.5.3-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-05-10 03:34:45 UTC
starcal-1.5.3-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.